Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.jatmi
Class ViewHelper

    java.lang.Object
      weblogic.wtc.jatmi.ViewHelper

public class ViewHelper
extends Object

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ViewHelper()`

Method Summary
`static ViewHelper` | `getInstance()`
`TypedBuffer` | `newViewInstance(String viewName)`
`void` | `setViewClass(String viewName, Class viewclass)`
`void` | `setViewClass(String viewName, String className)` To set view class ViewHelper vinst = ViewHelper.getInstance(); try { vinst.setViewClass() } To instantiate Object obj = ViewHelper.newInstance(viewName);

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewHelper

    public ViewHelper()

Method Detail

### getInstance

    public static ViewHelper getInstance()

### newViewInstance

    public TypedBuffer newViewInstance(String viewName)
                                throws InstantiationException,
                                       IllegalAccessException

  Throws:
    `InstantiationException`
    `IllegalAccessException`

### setViewClass

    public void setViewClass(String viewName,
                             Class viewclass)

### setViewClass

    public void setViewClass(String viewName,
                             String className)
                      throws ClassNotFoundException

  To set view class ViewHelper vinst = ViewHelper.getInstance(); try { vinst.setViewClass() } To instantiate Object obj = ViewHelper.newInstance(viewName);

  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD